| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxIndividualLayoutConstraint Class Reference

`#include <wx/layout.h>`

Inheritance diagram for wxIndividualLayoutConstraint:
[legend]

## Public Member Functions

| wxIndividualLayoutConstraint ()
virtual | ~wxIndividualLayoutConstraint ()
void | Set (wxRelationship rel, wxWindow *otherW, wxEdge otherE, int val=0, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | LeftOf (wxWindow *sibling, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | RightOf (wxWindow *sibling, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | Above (wxWindow *sibling, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | Below (wxWindow *sibling, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | SameAs (wxWindow *otherW, wxEdge edge, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | PercentOf (wxWindow *otherW, wxEdge wh, int per)
void | Absolute (int val)
void | Unconstrained ()
void | AsIs ()
wxWindow * | GetOtherWindow ()
wxEdge | GetMyEdge () const
void | SetEdge (wxEdge which)
void | SetValue (int v)
int | GetMargin ()
void | SetMargin (int m)
int | GetValue () const
int | GetPercent () const
int | GetOtherEdge () const
bool | GetDone () const
void | SetDone (bool d)
wxRelationship | GetRelationship ()
void | SetRelationship (wxRelationship r)
bool | ResetIfWin (wxWindow *otherW)
bool | SatisfyConstraint (wxLayoutConstraints *constraints, wxWindow *win)
int | GetEdge (wxEdge which, wxWindow *thisWin, wxWindow *other) const
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members

Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

wxIndividualLayoutConstraint::wxIndividualLayoutConstraint | ( |  | ) |

virtual wxIndividualLayoutConstraint::~wxIndividualLayoutConstraint | ( |  | ) |

virtual

## Member Function Documentation

void wxIndividualLayoutConstraint::Above | ( | wxWindow * | sibling,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN`
| ) |  |

void wxIndividualLayoutConstraint::Absolute | ( | int | val | ) |

void wxIndividualLayoutConstraint::AsIs | ( |  | ) |

void wxIndividualLayoutConstraint::Below | ( | wxWindow * | sibling,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN`
| ) |  |

bool wxIndividualLayoutConstraint::GetDone | ( |  | ) | const

int wxIndividualLayoutConstraint::GetEdge | ( | wxEdge | which,
|  | wxWindow * | thisWin,
|  | wxWindow * | other
| ) |  | const

int wxIndividualLayoutConstraint::GetMargin | ( |  | ) |

wxEdge wxIndividualLayoutConstraint::GetMyEdge | ( |  | ) | const

int wxIndividualLayoutConstraint::GetOtherEdge | ( |  | ) | const

wxWindow* wxIndividualLayoutConstraint::GetOtherWindow | ( |  | ) |

int wxIndividualLayoutConstraint::GetPercent | ( |  | ) | const

wxRelationship wxIndividualLayoutConstraint::GetRelationship | ( |  | ) |

int wxIndividualLayoutConstraint::GetValue | ( |  | ) | const

void wxIndividualLayoutConstraint::LeftOf | ( | wxWindow * | sibling,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN`
| ) |  |

void wxIndividualLayoutConstraint::PercentOf | ( | wxWindow * | otherW,
|  | wxEdge | wh,
|  | int | per
| ) |  |

bool wxIndividualLayoutConstraint::ResetIfWin | ( | wxWindow * | otherW | ) |

void wxIndividualLayoutConstraint::RightOf | ( | wxWindow * | sibling,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN`
| ) |  |

void wxIndividualLayoutConstraint::SameAs | ( | wxWindow * | otherW,
|  | wxEdge | edge,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN`
| ) |  |

bool wxIndividualLayoutConstraint::SatisfyConstraint | ( | wxLayoutConstraints * | constraints,
|  | wxWindow * | win
| ) |  |

void wxIndividualLayoutConstraint::Set | ( | wxRelationship | rel,
|  | wxWindow * | otherW,
|  | wxEdge | otherE,
|  | int | val = `0`,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN`
| ) |  |

void wxIndividualLayoutConstraint::SetDone | ( | bool | d | ) |

void wxIndividualLayoutConstraint::SetEdge | ( | wxEdge | which | ) |

void wxIndividualLayoutConstraint::SetMargin | ( | int | m | ) |

void wxIndividualLayoutConstraint::SetRelationship | ( | wxRelationship | r | ) |

void wxIndividualLayoutConstraint::SetValue | ( | int | v | ) |

void wxIndividualLayoutConstraint::Unconstrained | ( |  | ) |